<template>
  <view v-if="!loading">
    <video-table :data="dataList" />
  </view>
</template>
<script lang="ts" setup>
import videoTable from '@/pagesStudy/components/video-table.vue';
import { getVideoStudyRecord } from '@/api/modules/study';
import * as Study from '@/types/study';
const dataList = ref<Study.VideoStudy>({} as Study.VideoStudy);
const loading = ref(false);
const loadData = async () => {
  loading.value = true;
  uni.$ie.showLoading();
  const res = await getVideoStudyRecord();
  dataList.value = res.data;
  uni.$ie.hideLoading();
  loading.value = false;
}
loadData();
</script>
<style lang="scss" scoped></style>